org.apache.calcite.avatica

## Class MetaImpl.MetaColumnPrivilege

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaColumnPrivilege

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaColumnPrivilege
    extends Object

Metadata describing a column privilege.

### Field Summary

Fields
`String` `columnName`
`String` `grantee`
`String` `grantor`
`String` `isGrantable`
`String` `privilege`
`String` `tableCat`
`String` `tableName`
`String` `tableSchem`

### Constructor Summary

Constructors
Constructor and Description
`MetaColumnPrivilege(String tableCat, String tableSchem, String tableName, String columnName, String grantor, String grantee, String privilege, String isGrantable)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final String tableCat

#### tableSchem

    public final String tableSchem

#### tableName

    public final String tableName

#### columnName

    public final String columnName

#### grantor

    public final String grantor

#### grantee

    public final String grantee

#### privilege

    public final String privilege

#### isGrantable

    public final String isGrantable

### Constructor Detail

#### MetaColumnPrivilege

    public MetaColumnPrivilege(String tableCat,
                               String tableSchem,
                               String tableName,
                               String columnName,
                               String grantor,
                               String grantee,
                               String privilege,
                               String isGrantable)